Subject: Re: The usability of Guix configurations

From: [email-masked] (Ludovic Courtès)
Date: Tue, 07 Nov 2017 11:23:09 +0100

Hello,

myglc2 <[email-masked]> skribis:

> My system recently broke when I did an upgrade. I reported what I
> thought was a bug (bug#29072) but it turned out that, because qemu
> package code had been moved, my system configuration had become broken
> ;-(

It should be noted that you were using a “developer setup”, specifically
running Guix from a checkout with ./pre-inst-env and all.

The issue with the stale module wouldn’t happen with “guix pull”, which
is the recommended “user setup.”

While I agree the situation is not ideal, I think we have to admit that
developers can always shoot themselves in the foot, and that was one way
of doing it.  ;-)

Thoughts?

Ludo’.